package com.family168.jbpm4book.x01;

import org.jbpm.test.JbpmTestCase;
import org.jbpm.api.*;
import org.jbpm.api.task.*;
import java.util.*;

public class DbidTest extends JbpmTestCase {

    protected void tearDown() {
    }

    protected String deployJpdlClasspath(String path) {
        String deploymentDbid = repositoryService.createDeployment()
                                                 .addResourceFromClasspath(path)
                                                 .deploy();

        this.registerDeployment(deploymentDbid);

        return deploymentDbid;
    }

    public void testDbid() {
        this.deployJpdlClasspath("jpdl/dbid.jpdl.xml");
        ProcessInstance processInstance = executionService.startProcessInstanceByKey("dbid");

        List<Task> tasks = taskService.findPersonalTasks("Lingo");
        Task task = tasks.get(0);

        Execution execution = executionService.findExecutionById(task.getExecutionId());
        assertNotNull(execution);
    }
}
